ubuntu10.4 64位运行super pi说段错误

Lucid Lynx (长期支持)
回复
myregedit
帖子: 4
注册时间: 2011-05-25 8:24
送出感谢: 0
接收感谢: 0

ubuntu10.4 64位运行super pi说段错误

#1

帖子 myregedit » 2011-05-25 8:31

大家好!
我在虚拟机上8.04 32位的用过super pi(从其它地方下载的拷到ubuntu系统上)很正常,后来去64位的服务器上运行,装的是ubuntu10.04
提示段错误,是10.04的不支持这个super pi还是什么意思?网上没有这方面的情况。
我也用过新立得下载过计算pi的软件,做的很不好,我不想用新立得的这个pi计算工具。
头像
懒蜗牛Gentoo
论坛版主
帖子: 7293
注册时间: 2007-03-02 17:36
送出感谢: 0
接收感谢: 96 次

Re: ubuntu10.4 64位运行super pi说段错误

#2

帖子 懒蜗牛Gentoo » 2011-05-25 11:28

如果是在64位的机器上要运行32位的程序,需要先安装ia32的库
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事
myregedit
帖子: 4
注册时间: 2011-05-25 8:24
送出感谢: 0
接收感谢: 0

Re: ubuntu10.4 64位运行super pi说段错误

#3

帖子 myregedit » 2011-05-25 16:22

懒蜗牛Gentoo 写了:如果是在64位的机器上要运行32位的程序,需要先安装ia32的库
网上没有人提到super pi是多少位的,而且我查的没有人管是64位的还是32位,好像他们都能用,super pi的官网上也没有给出32位和64位的程序,
按照你说的如果我在64位的服务器上装ia32的库,那是相当于是用的32位的服务器还是64位的服务器?
要是32位的服务器就没必要弄了。
头像
冲浪板
论坛版主
帖子: 7467
注册时间: 2007-05-06 8:19
送出感谢: 0
接收感谢: 5 次

Re: ubuntu10.4 64位运行super pi说段错误

#4

帖子 冲浪板 » 2011-05-25 16:23

自己编译一下
头像
懒蜗牛Gentoo
论坛版主
帖子: 7293
注册时间: 2007-03-02 17:36
送出感谢: 0
接收感谢: 96 次

Re: ubuntu10.4 64位运行super pi说段错误

#5

帖子 懒蜗牛Gentoo » 2011-05-25 17:57

myregedit 写了:
懒蜗牛Gentoo 写了:如果是在64位的机器上要运行32位的程序,需要先安装ia32的库
网上没有人提到super pi是多少位的,而且我查的没有人管是64位的还是32位,好像他们都能用,super pi的官网上也没有给出32位和64位的程序,
按照你说的如果我在64位的服务器上装ia32的库,那是相当于是用的32位的服务器还是64位的服务器?
要是32位的服务器就没必要弄了。
如果你的super pi在32位上运行正常,然后直接复制到64位系统上,那肯定是32位的super pi 。如果是源码包放到64位机器上然后用make之类的命令重新编译的,那就是64位的了。
虽然世上没有完美的东西,但这并不影响我们追求完美,因为只有偏执狂才TMD能成功。
10.04新手入门——笨兔兔讲述自己的故事
myregedit
帖子: 4
注册时间: 2011-05-25 8:24
送出感谢: 0
接收感谢: 0

Re: ubuntu10.4 64位运行super pi说段错误

#6

帖子 myregedit » 2011-05-26 8:24

懒蜗牛Gentoo 写了:
myregedit 写了:
懒蜗牛Gentoo 写了:如果是在64位的机器上要运行32位的程序,需要先安装ia32的库
网上没有人提到super pi是多少位的,而且我查的没有人管是64位的还是32位,好像他们都能用,super pi的官网上也没有给出32位和64位的程序,
按照你说的如果我在64位的服务器上装ia32的库,那是相当于是用的32位的服务器还是64位的服务器?
要是32位的服务器就没必要弄了。
如果你的super pi在32位上运行正常,然后直接复制到64位系统上,那肯定是32位的super pi 。如果是源码包放到64位机器上然后用make之类的命令重新编译的,那就是64位的了。
哦,知道了,
这个软件不是开源的,官网上不提供源码,哎
myregedit
帖子: 4
注册时间: 2011-05-25 8:24
送出感谢: 0
接收感谢: 0

Re: ubuntu10.4 64位运行super pi说段错误

#7

帖子 myregedit » 2011-05-27 16:34

刚装了个32位的ubuntu 10.04运行 super pi也不行,
晕,原来一直用的804的,
是不是10.04的不支持这个工具?你们用起来行吗?
./pi
段错误
./super_pi
./super_pi:line 1:2247错误
回复

回到 “Ubuntu 10.04 LTS”